+++
title = "May 2020"
date = 2020-06-01
+++

I can go out now. In those rare days with good weather here I can
take pictures like this.

[![A picture from the beach](image.jpg?width=640#center)](image.jpg)

<!--more-->

# TVSHows/Movies

- **Mandalorian** (ongoing)

  I say ongoing, but I think I have not watched it this month... the thing
is that I still have to finish it.

- **Rick and Morty** (ongoing)

  Of course I'm up to date, don't be _rickdiculous_.

- **Once upon a time** (ongoing)

  To kill time during lunch/dinner because my Player 2 likes it. Pretty
boring though. Only the first season is "good" in some way because the
premise is interesting, after that it all goes to _shirt_.

# Manwha

Same as [last month](/blog/2020/05/01/april/).

- [**DICE**](https://www.webtoons.com/en/fantasy/dice/list?title_no=64&page=1) (ongoing)

- [**The Gamer**](https://www.webtoons.com/en/action/the-gamer/list?title_no=88) (ongoing)

And I have the urge to read _One Piece_ but don't know from where
(legally) withouth investing a lot in physical copies...

# Projects

Little progress on code this month, just making some tests and
concepts (because _Memories_ required front-end work and I forgot
almost everything I knew about CSS).

Spent some time reworking my local infra from scratch. All the
services I had running were done with poorly manual labor and now I'm
working on provisioning everything using Ansible. I have to do the same
for my computers since I'm planning the new dotfiles from scratch too.

- **Jeeves**

  Very little progress, just added a few tasks and so, the example here
is not working because docker is broken on my machine at the time of
writing, but it should work. Promise.

  My problem with this is that until it has a proper server to trigger
tasks via webhooks, crons or other methods is just a lightweight
(and worst) Ansible _wannabe_.

    ``` text
    $ jeeves execute Jeevesfile.yaml
    (i) Running flow from Jeevesfile.yaml
    === Running flow: Create synology-drive package
    ok! Running step [1/8]: Download x86_64 deb
    ok! Running step [2/8]: Calculate md5sum for x86_64 deb file
    ok! Running step [3/8]: Download i686 deb
    ok! Running step [4/8]: Calculate md5sum for i686 deb file
    ok! Running step [5/8]: Create build directory
    ok! Running step [6/8]: Parse PKGBUILD
    ok! Running step [7/8]: Create SRCINFO file
    Image 'archlinux:latest' does not exist container
    err Executing step [8/8]: Test install in container
    ```

- **Butterrobot**

  Spent some time refactoring code and thinking on what to use for
a simple admin interface to setup new features for the bots, enable or
disable plugins and all that.

  ![Butterrobot !dice plugin](butterrobot.png)

- **Memories** (previously _Unnamed photo viewer_)

  Worked on reading the files from the filesystem and extracting the
mininmum required metadata for me to save on the database (to have
some search/filters going on). Also got some ideas depending on how the
files are stored (use folder names as "tags" to search for example).

  Also played around with thumbnails, which are tricky to do depending on
the file, and I have a lot of variety (from standard JPEG to HEIC going
through 360 videos, etc.). I also noticed that I have a lot of files
with wrong metadata, which does **not** help at all with my testing.

  Well, I have a simple frontend now, but everything is a very work in
progress (and those menu links are just dummy navigation).

  I need to focus on implement a proper backend and decide on the main
  features to implement in the first release, which should come with a
  simple frontend and API for people to create their own.

  ![Memories screenshot](memories.png)

# Videogames
- [**Animal Crossing: New Horizons**](https://animal-crossing.com/new-horizons)

  Just a daily routine trying to complete the monthly _citteropedia_.

- [**Final Fantasy VII: Remake**](https://store.playstation.com/es-es/product/EP0082-CUSA07187_00-FFVIIREMAKE00000)

  I think I'm almost through the end, just finishing up some side quests
  prior to the final chapters. I'm having lots of fun, probably
  because the slow pace so I don't finish it in just a few days.

  I can't describe how awesome the soundtrack is, specially with the
  nostalgia effect from the original.

- [**Terraria**](https://store.steampowered.com/app/105600/Terraria/)

  The last update for Terraria came out this month and I'm going through
  the content with a friend trying to go though all the content. Well,
  not _all_ content, since there is **a lot**. This game is a piece of
  art, one of those rare gems that I wish I had more time to properly
  enjoy it.

- [**Northgard**](https://store.steampowered.com/app/466560/Northgard/)

  This has been on my Steam library for quite some time, and since the
  Valhalla announcement I had the urge to play something Viking related.
  Didn't play much (two scenarios I think). Is a fairly nice strategy
  game but it has enough elements to make it enjoyable for a player like
  me (because I'm not very good at them).

- [**Minecraft Dungeons**](https://www.nintendo.es/Juegos/Programas-descargables-Nintendo-Switch/Minecraft-Dungeons-1749059.html):

  Got this for the switch because I wanted to have something to spend a
few minutes in and kill some time and couldn't I be more worng.

  My surprise has been the awful load times (2m+ to start playing from
  the Switch main menu), sub-30 framerates and the awesome chance of the
  game crashing when putting the console in sleep mode. The game is
  _fun_ to play from time to time (and I'm sure is way more fun in
  multiplayer) but the Switch version is just so bad that no one should
  buy it.

- Some [**Sea of Thieves**](https://www.seaofthieves.com/) and [**Valorant**](https://beta.playvalorant.com) with friends to keep me close while social distancing, though I'm not sure I would keep playing since rebooting to Windows just to play some games is itching me a lot lately, rather buy what I can play on Linux and purchasing the rest on Switch or PS4 if needed.

# Articles

- [Take care editing bash scripts](https://thomask.sdf.org/blog/2019/11/09/take-care-editing-bash-scripts.html)
- [Bye, Amazon](https://www.tbray.org/ongoing/When/202x/2020/04/29/Leaving-Amazon)
- [Sprite Analysis: Top-Down RPG Pixel Art (Pokémon)](https://www.youtube.com/watch?v=gwF0L55kIgg)
- [Experiences with email-based login](https://www.arp242.net/email-auth.html)
- [Should I block ads?](https://shouldiblockads.com/)
- [The day AppGet died](https://medium.com/@keivan/the-day-appget-died-e9a5c96c8b22)
- [How our 99th percentile response time went from 4000 ms to sub 10 ms](https://nrkbeta.no/2020/05/26/how-our-99th-percentile-response-time-went-from-4000-ms-to-sub-10-ms/)
- [Linus Torvalds Re: A wide monitor is for looking at lots of files.](https://lkml.org/lkml/2020/5/29/1038)
- [Do you know how much your computer can do in a second?](https://computers-are-fast.github.io/)
- [Making game engines is a waste of time. I probably won't stop making them](https://benwiser.com/blog/Making-game-engines-is-a-waste-of-time---I-probably-won%E2%80%99t-stop-making-them.html)
